import { VidSourceBase } from './VidSourceBase';
export class VidMps extends VidSourceBase {
    constructor() {
        super();
        this.nativeGetMediaId = () => {
            return this.mMediaId;
        };
        this.nativeSetMediaId = (m44) => {
            this.mMediaId = m44;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (l44) => {
            this.mAccessKeyId = l44;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (k44) => {
            this.mAccessKeySecret = k44;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (j44) => {
            this.mSecurityToken = j44;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (i44) => {
            this.mRegion = i44;
        };
        this.nativeGetPlayDomain = () => {
            return this.mPlayDomain;
        };
        this.nativeSetPlayDomain = (h44) => {
            this.mPlayDomain = h44;
        };
        this.nativeGetAuthInfo = () => {
            return this.mAuthInfo;
        };
        this.nativeSetAuthInfo = (g44) => {
            this.mAuthInfo = g44;
        };
        this.nativeGetHlsUriToken = () => {
            return this.mHlsUriToken;
        };
        this.nativeSetHlsUriToken = (f44) => {
            this.mHlsUriToken = f44;
        };
        this.mMediaId = "";
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mPlayDomain = "";
        this.mAuthInfo = "";
        this.mHlsUriToken = "";
    }
    setQuality(n43, o43) {
        this.mQuality = n43;
        this.mForceQuality = o43;
    }
    getMediaId() {
        return this.mMediaId;
    }
    setMediaId(m43) {
        this.mMediaId = m43;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(l43) {
        this.mAccessKeyId = l43;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(k43) {
        this.mAccessKeySecret = k43;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(j43) {
        this.mSecurityToken = j43;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(i43) {
        this.mRegion = i43;
    }
    getPlayDomain() {
        return this.mPlayDomain;
    }
    setPlayDomain(h43) {
        this.mPlayDomain = h43;
    }
    getAuthInfo() {
        return this.mAuthInfo;
    }
    setAuthInfo(g43) {
        this.mAuthInfo = g43;
    }
    getHlsUriToken() {
        return this.mHlsUriToken;
    }
    setHlsUriToken(f43) {
        this.mHlsUriToken = f43;
    }
}
